Name:           arora
Version:        0.10.2
Release:        3%{?dist}
Summary:        A cross platform web browser

Group:          Applications/Internet
License:        GPLv2+
URL:            http://code.google.com/p/arora/
Source0:        http://arora.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         arora-0.10.2-gitversion.patch
Patch1:         arora-0.10.0-fedorabookmarks.patch
Patch2:         arora-0.10.2-fedorahome.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  qt4-devel >= 4.5.0
# for gnome default app path
BuildRequires:  control-center-devel

%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

%description
Arora is a simple, cross platform web browser based on the QtWebKit engine.
Currently, Arora is still under development, but it already has support for
browsing and other common features such as web history and bookmarks.


%package gnome
Summary:        Better Gnome support for Arora
Group:          Applications/Internet
Requires:       control-center
Requires:       arora 

%description gnome
Adds Arora to Preferred Applications list in Gnome Control Center.


%prep
%setup -q
%patch0 -p1 -b .gitversion
%patch1 -p1 -b .fedorabookmarks
%patch2 -p1 -b .fedorahome

%build
qmake-qt4 PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_ROOT=$RPM_BUILD_ROOT install 

# imo, shouldn't add/change upstream vendor here, but changing
# once released this way is bad too. :(  -- Rex
desktop-file-install --vendor fedora \
      --dir $RPM_BUILD_ROOT%{_datadir}/applications\
      --delete-original\
      $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
update-desktop-database -q &> /dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS README ChangeLog
%doc LICENSE.GPL2 LICENSE.GPL3
%{_bindir}/arora
%{_bindir}/arora-placesimport
%{_bindir}/htmlToXBel
%{_bindir}/arora-cacheinfo
%{_datadir}/applications/fedora-%{name}.desktop    
%{_datadir}/icons/hicolor/128x128/apps/arora.png
%{_datadir}/icons/hicolor/16x16/apps/arora.png
%{_datadir}/icons/hicolor/32x32/apps/arora.png
%{_datadir}/icons/hicolor/scalable/apps/arora.svg
%{_datadir}/arora/
%{_datadir}/pixmaps/arora.xpm
%{_mandir}/man1/*

%files gnome
%defattr(-,root,root,-)
%{_datadir}/gnome-control-center/default-apps/


%changelog
* Thu May 27 2010 Jaroslav Reznik <jreznik@redhat.com> - 0.10.2-3
- Release bump

* Thu Dec 10 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.10.2-2
- Conditionaly check for qt4 version

* Thu Dec 10 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.10.2-1
- Update to 0.10.2
- QtWebKit patch removed

* Wed Nov 18 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.10.1-4
- Build over latest qtwebkit trunk from qt 4.6-rc1

* Wed Nov 18 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.10.1-3
- respin against newer qt

* Thu Oct 15 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.10.1-2
- add dep on qt4 version built against

* Tue Oct 06 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.10.1-1
- Update to 0.10.1

* Fri Oct 02 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.10.0-2
- Fedorahome patch rebased

* Fri Oct 02 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.10.0-1
- Update to 0.10.0

* Sun Sep 30 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.9.0-2
- add icon/mime scriptlets
- don't own %%{_mandir}/man1
- BR: qt4-devel

* Mon Jul 31 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.9.0-1
- Update to 0.9.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.8.0-1
- Update to 0.8.0
- Removed custom arora.xml

* Thu Jul 16 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.7.1-3
- Arora-gnome subpackage now requires Arora package

* Tue Jun 09 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.7.1-2
- Adds arora-gnome subpackage to support preferred app selection
  in Gnome

* Mon Jun 01 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.7.1-1
- Update to 0.7.1
- Parallel build reenabled, fixed in 0.7.1

* Mon May 25 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.7.0-1
- Update to 0.7.0
- Googlesuggest removed

* Sat May 09 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.6.1-2
- Correct Changelog date

* Sat Apr 09 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.6.1-1
- Update to 0.6.1

* Mon Mar 30 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.6-2
- Add arora-cacheinfo to package

* Mon Mar 30 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.6-1
- Update to 0.6

* Tue Feb 24 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.5-1
- Update to 0.5
- SPEC file cleanup

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 02 2008 Jaroslav Reznik <jreznik@redhat.com> - 0.4-3
- owns arora and locale directories (bz#473621)

* Mon Oct 06 2008 Jaroslav Reznik <jreznik@redhat.com> - 0.4-2
- Fedora Project & Red Hat bookmarks
- Fedora Project homepage
- GIT version patch

* Wed Oct 01 2008 Jaroslav Reznik <jreznik@redhat.com> - 0.4-1
- Updated to version 0.4

* Thu Sep 25 2008 Jaroslav Reznik <jreznik@redhat.com> - 0.3-2
- Location bar's double click selects all

* Wed Aug 13 2008 Jaroslav Reznik <jreznik@redhat.com> - 0.3-1  
- Initial spec file 
